Package tigase.vhosts

# Class VHostManager.DefVHostRepositoryBean

java.lang.Object
tigase.db.beans.SDRepositoryBean<ComponentRepositoryDataSourceAware<Item,DataSource>>
tigase.db.comp.AbstractSDComponentRepositoryBean<VHostItem>
tigase.vhosts.VHostManager.DefVHostRepositoryBean

All Implemented Interfaces:
  `Iterable<VHostItem>`, `ComponentRepository<VHostItem>`, `Repository`, `ConfigurationChangedAware`, `Initializable`, `RegistrarBean`, `UnregisterAware`, `VHostComponentRepository`

Enclosing class:
  VHostManager

@Bean(name="vhostRepository", parent=VHostManager.class, active=true) public static class VHostManager.DefVHostRepositoryBean extends AbstractSDComponentRepositoryBean<VHostItem> implements VHostComponentRepository

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface tigase.db.Repository

  `Repository.Meta, Repository.SchemaId`

- ## Field Summary

  ### Fields inherited from interface tigase.db.comp.ComponentRepository

  `COMP_REPO_BIND`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefVHostRepositoryBean()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Class<? extends VHostComponentRepositoryDataSourceAware<DataSource>>`
  `findClassForDataSource(DataSource dataSource)`
  `VHostItem`
  `getDefaultVHostItem()`

  ### Methods inherited from class tigase.db.comp.AbstractSDComponentRepositoryBean

  `addItem, addItemNoStore, addRepoChangeListener, allItems, contains, destroy, getDefaults, getItem, getItemInstance, initRepository, iterator, reload, removeItem, removeItemNoStore, removeRepoChangeListener, setAutoloadTimer, setProperties, setRepository, size, store, toString, validateItem`

  ### Methods inherited from class tigase.db.beans.SDRepositoryBean

  `beanConfigurationChanged, beforeUnregister, getDataSourceName, getName, getRepository, getRepositoryClassName, initialize, initializeRepository, onDataSourceChange, register, unregister`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface tigase.db.comp.ComponentRepository

  `addItem, addItemNoStore, addRepoChangeListener, allItems, contains, destroy, getDefaults, getItem, getItemInstance, reload, removeItem, removeItemNoStore, removeRepoChangeListener, setAutoloadTimer, setProperties, size, store, validateItem`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, iterator, spliterator`

  ### Methods inherited from interface tigase.db.Repository

  `initRepository`

- ## Constructor Details

  - ### DefVHostRepositoryBean

    public DefVHostRepositoryBean()

- ## Method Details

  - ### getDefaultVHostItem

    public VHostItem getDefaultVHostItem()
    Specified by:
      `getDefaultVHostItem` in interface `VHostComponentRepository`

  - ### findClassForDataSource

    protected Class<? extends VHostComponentRepositoryDataSourceAware<DataSource>> findClassForDataSource(DataSource dataSource) throws DBInitException
    Specified by:
      `findClassForDataSource` in class `SDRepositoryBean<ComponentRepositoryDataSourceAware<VHostItem,DataSource>>`
    Throws:
      `DBInitException`